Yate

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Lockable Member List

This is the complete list of members for Lockable, including all inherited members.

check(long maxwait=-1) | Lockable | virtual
enableSafety(bool safe=true) | Lockable | static
lock(long maxwait=-1)=0 | Lockable | pure virtual
locked() const =0 | Lockable | pure virtual
safety() | Lockable | static
startUsingNow() | Lockable | static
unlock()=0 | Lockable | pure virtual
unlockAll() | Lockable | virtual
wait(unsigned long maxwait) | Lockable | static
wait() | Lockable | static
~Lockable() | Lockable | virtual